package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.SceneCooperation;
import com.fdkankan.scene.vo.SceneCooperationParamVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface ISceneCooperationService extends IService<SceneCooperation> {

    void updateRecStatus(String sceneNum);

    String findUserName(String sceneNum);

    SceneCooperation findBySceneNum(String sceneNum);

    ResultData sceneResourceBySceneNum(SceneCooperationParamVO param) throws Exception;

    List<SceneCooperation> getListByUserId(List<Long> userIds);
}
